# Get Forecast Premium Wind

`GET /data/forecast/premium_wind_power`

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `resource_id` | string | yes | The resource id of the resource. |
| `hours` | integer (int32) | no | The number of hours to return in the response. |
| `period` | string | no | Length of the averaging period in ISO 8601 duration format. Default is PT30M. |
| `format` | string | no | Response format. Default is HTML if not supplied. |
| `output_parameters` | string[] | no | The output parameters to include in the response. Any p-level variant (1-99, up to one decimal place; no decimal point for whole numbers) of a p-capable base is also accepted if present on your plan (e.g. power_p70, power_p77.5, curtailed_power_p20, wind_speed_hub_height_p35). |

## Example request

### cURL

```bash
curl -X GET "https://api.solcast.com.au/data/forecast/premium_wind_power?resource_id=c533-fbce-05b5-b3ef&output_parameters=power&period=PT60M&hours=24" \
  -H "Authorization: Bearer $API_KEY"
```

### Python

```python
import requests

params = {
    "resource_id": "c533-fbce-05b5-b3ef",
    "output_parameters": "power",
}

response = requests.get(
    "https://api.solcast.com.au/data/forecast/premium_wind_power", params=params,
    headers={"Authorization": "Bearer API_KEY"},
)
data = response.json()
```

## Example response (200)

```json
{
  "forecasts": [
    {
      "power": 0.5386,
      "period_end": "2026-07-30T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "power": 0.3185,
      "period_end": "2026-07-30T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "power": 0.2953,
      "period_end": "2026-07-30T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}
```

## Responses

### 200 — OK

Schema: `ForecastPremiumWindPowerResponse`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `forecasts` | object[] | no |  |

Source: /docs/section/premium#getDataForecastPremiumWindPower
